<template >
  <div v-if="showBlock" class="block" @click="stopTimer">
    <p class="text">{{ "Click to stop" }}</p>
  </div>
</template>

<script>
export default {
  props: ['delay'],

  data(){
    return{
      showBlock: false,
      timer: null,
      reactionTime: 0,
    }
  },
  mounted() {
    setTimeout(() => {
      this.showBlock = true;
      this.startTimer();
      }, this.delay);
  }
  ,
  methods: {
    startTimer() {
      this.timer = setInterval(() => {
        this.reactionTime += 10
      }, 10)
    }, 
    stopTimer() {
      clearInterval(this.timer)
      this.$emit("close", this.reactionTime);
    },
  },
};
</script>

<style scoped>
.block {
  width: 100%;
  height: 300px;
  outline: auto;
  background-color: rgb(163, 0, 0);
  align-content: center;
  line-height: 300px;
  border-radius: 5%;
}

.block .text {
  width: 100%;
  height: 100%;
  font-style: italic;
  text-align: center;
  font-size: 40px;
  color: rgb(255, 255, 255);
  text-underline-position: below;
}
</style>
